/**
* DevExtreme (core/config.d.ts)
* Version: 21.1.0 (build 20361-0317)
* Build date: Sat Dec 26 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    positionConfig
} from '../animation/position';

/**
 */
declare function config(): globalConfig;

/**
 */
declare function config(config: globalConfig): void;

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface globalConfig {
    /**
     * @deprecated
     */
    decimalSeparator?: string;
    /**
     */
    defaultCurrency?: string;
    /**
     */
    editorStylingMode?: 'outlined' | 'underlined' | 'filled';
    /**
     */
    floatingActionButtonConfig?: {
      /**
       * Warning! This type is used for internal purposes. Do not import it directly.
       */
      closeIcon?: string,
      /**
       * Warning! This type is used for internal purposes. Do not import it directly.
       */
      direction?: 'auto' | 'up' | 'down',
      /**
       * Warning! This type is used for internal purposes. Do not import it directly.
       */
      icon?: string,
      /**
       * Warning! This type is used for internal purposes. Do not import it directly.
       */
      label?: string,
      /**
       * Warning! This type is used for internal purposes. Do not import it directly.
       */
      maxSpeedDialActionCount?: number,
      /**
       * Warning! This type is used for internal purposes. Do not import it directly.
       */
      position?: 'bottom' | 'center' | 'left' | 'left bottom' | 'left top' | 'right' | 'right bottom' | 'right top' | 'top' | positionConfig | Function,
      /**
       * Warning! This type is used for internal purposes. Do not import it directly.
       */
      shading?: boolean
    };
    /**
     */
    forceIsoDateParsing?: boolean;
    /**
     */
    oDataFilterToLower?: boolean;
    /**
     */
    rtlEnabled?: boolean;
    /**
     */
    serverDecimalSeparator?: string;
    /**
     * @deprecated
     */
    thousandsSeparator?: string;
    /**
     */
    useLegacyStoreResult?: boolean;
    /**
     */
    useLegacyVisibleIndex?: boolean;
}


/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export default config;
