/**
* DevExtreme (ui/widget/ui.search_box_mixin.d.ts)
* Version: 21.1.0 (build 20361-0317)
* Build date: Sat Dec 26 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    dxTextBoxOptions
} from '../text_box';

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface SearchBoxMixinOptions<T = SearchBoxMixin> {
    /**
     */
    searchEditorOptions?: dxTextBoxOptions;
    /**
     */
    searchEnabled?: boolean;
    /**
     */
    searchExpr?: string | Function | Array<string | Function>;
    /**
     */
    searchMode?: 'contains' | 'startswith' | 'equals';
    /**
     */
    searchTimeout?: number;
    /**
     */
    searchValue?: string;
}
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export default class SearchBoxMixin {
    constructor(options?: SearchBoxMixinOptions)
}
