/**
 * DevExtreme (renovation/ui/pager/utils/get_element_width.js)
 * Version: 21.1.0 (build 20361-0317)
 * Build date: Sat Dec 26 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.getElementWidth = getElementWidth;
exports.getElementMinWidth = getElementMinWidth;
var _get_computed_style = _interopRequireDefault(require("../../../utils/get_computed_style"));
var _type_conversion = require("../../../utils/type_conversion");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}

function getElementWidth(element) {
    var _getElementComputedSt;
    return (0, _type_conversion.toNumber)(null === (_getElementComputedSt = (0, _get_computed_style.default)(element)) || void 0 === _getElementComputedSt ? void 0 : _getElementComputedSt.width)
}

function getElementMinWidth(element) {
    var _getElementComputedSt2;
    return (0, _type_conversion.toNumber)(null === (_getElementComputedSt2 = (0, _get_computed_style.default)(element)) || void 0 === _getElementComputedSt2 ? void 0 : _getElementComputedSt2.minWidth)
}
