/**
* DevExtreme (ui/validation_engine.d.ts)
* Version: 21.1.0 (build 20361-0317)
* Build date: Sat Dec 26 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import '../jquery_augmentation';

import {
    dxValidationGroupResult
} from './validation_group';

/**
 */
export default class validationEngine {
    /**
     */
    static getGroupConfig(): any;
    /**
     */
    static getGroupConfig(group: string | any): any;
    /**
     */
    static registerModelForValidation(model: any): void;
    /**
     */
    static resetGroup(): void;
    /**
     */
    static resetGroup(group: string | any): void;
    /**
     */
    static unregisterModelForValidation(model: any): void;
    /**
     */
    static validateGroup(): dxValidationGroupResult;
    /**
     */
    static validateGroup(group: string | any): dxValidationGroupResult;
    /**
     */
    static validateModel(model: any): any;
}
